using System.ComponentModel.DataAnnotations;

namespace BMA.EHR.Recurit.Exam.Service.Models.Disables
{
    public class DisableAddress : EntityBase
    {
        [MaxLength(200)]
        public string Address { get; set; }//

        [MaxLength(200)]
        public string Moo { get; set; }//

        [MaxLength(200)]
        public string Soi { get; set; }//

        [MaxLength(200)]
        public string Road { get; set; }//

        [MaxLength(200)]
        public string District { get; set; }//

        [MaxLength(200)]
        public string Amphur { get; set; }//

        [MaxLength(200)]
        public string Province { get; set; }//

        [MaxLength(5)]
        public string ZipCode { get; set; }//

        [MaxLength(200)]
        public string Telephone { get; set; }//

        [MaxLength(200)]
        public string Mobile { get; set; }//

        [MaxLength(200)]
        public string Address1 { get; set; }//

        [MaxLength(200)]
        public string Moo1 { get; set; }//

        [MaxLength(200)]
        public string Soi1 { get; set; }//

        [MaxLength(200)]
        public string Road1 { get; set; }//

        [MaxLength(200)]
        public string District1 { get; set; }//

        [MaxLength(200)]
        public string Amphur1 { get; set; }//

        [MaxLength(200)]
        public string Province1 { get; set; }//

        [MaxLength(5)]
        public string ZipCode1 { get; set; }//

        public Disable Disable { get; set; }
    }
}
